Package org.apache.any23.vocab

## Class LKIFCoreRules

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreRules

-     public class LKIFCoreRules
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The rules & argumentation module defines roles central to argumentation, and describes the vocabulary for LKIF rules as defined in Deliverable 1.1, chapter 5. The module leaves room for further extension to complex argumentation frameworks (AIF, Carneades).

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `applies` |
    `org.eclipse.rdf4j.model.IRI` | `excluded` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `prior` |
    `org.eclipse.rdf4j.model.IRI` | `rebuts` |
    `org.eclipse.rdf4j.model.IRI` | `Rule` |
    `org.eclipse.rdf4j.model.IRI` | `rule_predicate` |
    `org.eclipse.rdf4j.model.IRI` | `Valid_Rule` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreRules` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Valid_Rule

          public final org.eclipse.rdf4j.model.IRI Valid_Rule

    - #### Rule

          public final org.eclipse.rdf4j.model.IRI Rule

    - #### rule_predicate

          public final org.eclipse.rdf4j.model.IRI rule_predicate

    - #### prior

          public final org.eclipse.rdf4j.model.IRI prior

    - #### excluded

          public final org.eclipse.rdf4j.model.IRI excluded

    - #### applies

          public final org.eclipse.rdf4j.model.IRI applies

    - #### rebuts

          public final org.eclipse.rdf4j.model.IRI rebuts

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreRules getInstance()